Name: quodlibet
Version: 1.0
Release: alt1.1.qa1

Summary: music player in PyGTK
License: GPL
Group: Sound
Url: http://www.sacredchao.net/quodlibet
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %name-%version.tar

BuildRequires: python-module-pygtk-devel libgtk+2-devel intltool

%add_python_compile_include %_datadir/%name
%add_python_req_skip browsers config const devices formats library
%add_python_req_skip parse player plugins qltk stock util

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed around
the idea that you know better than we do how to organize your music. It lets
you make playlists based on regular expressions (don't worry, regular searches
work too). It lets you display and edit any tags you want in the file. And it
lets you do this for all the file formats it supports -- Ogg Vorbis, FLAC, MP3,
Musepack, and MOD. Quod Libet easily scales to libraries of thousands of songs.

%prep
%setup

%build
%make _mmkeys.so

%install
# Hack around a bug in intltool
export INTLTOOL_EXTRACT=`which intltool-extract`
%makeinstall DESTDIR=%buildroot PREFIX=%prefix TODEP=%_lib/%name
%find_lang %name

# This was only added in 0.24-alt2, so you have to require it in plugins
mkdir %buildroot%_datadir/%name/plugins/{events,editing,songsmenu}

%postun -n quodlibet
%clean_menus


%post -n quodlibet
%update_menus


%files -f %name.lang
%_bindir/%name
%_bindir/exfalso
%dir %_libdir/%name
%_libdir/%name/_mmkeys.so
%_datadir/%name
%_pixmapsdir/%name.png
%_pixmapsdir/exfalso.png
%_man1dir/%name.1*
%_man1dir/exfalso.1*
%_datadir/applications/exfalso.desktop
%_datadir/applications/%name.desktop


%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for quodlibet

* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 1.0-alt1.1
- Rebuilt with python-2.5.

* Tue Aug 07 2007 Alex V. Myltsev <avm@altlinux.ru> 1.0-alt1
- 1.0: minor UI enhancements, speed improvements, bug fixes.
- fixed #12478 (bogus Python provides).

* Sun Dec 17 2006 Alex V. Myltsev <avm@altlinux.ru> 0.24-alt2
- Created plugin directories.

* Tue Nov 28 2006 Alex V. Myltsev <avm@altlinux.ru> 0.24-alt1
- Initial build for Sisyphus.

